%define prefix /usr
%define name deadbeef_waveform_seekbar
%define release %mkrel 1
%define url https://github.com/cboxdoerfer/ddb_waveform_seekbar
%define revision 6606477

Name:		%{name}
Version:	%{revision}
Release:	%{release}
License:	GPL2
Group:		Sound
URL:		%{url}
Summary:	waveform_seekbar plugin for the deadbeef 	
Summary(de):	Wellenform-Suchleiste Plugin für deadbeef 
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  %{_lib}gtk+2.0_0-devel >= 2.12
BuildRequires:	%{_lib}glib2.0_0-devel
BuildRequires:	%{_lib}gtk+3.0-devel
BuildRequires:	%{_lib}sqlite3-devel
Requires:	deadbeef


%description
%{summary}.

#german
%description -l de
%{summary}.

%prep
#nothing

%build
#nobuild

%install

rm -rf $RPM_BUILD_ROOT

mkdir -p  $RPM_BUILD_ROOT%{_libdir}/deadbeef
cd $RPM_BUILD_ROOT%{_libdir}/deadbeef

%ifarch x86_64
wget -O - "https://github.com/cboxdoerfer/ddb_waveform_seekbar/releases/download/v0.4/ddb_waveform_seekbar_x86_64.tar.gz" | tar zx 
%endif
%ifarch %ix86
wget -O - "https://github.com/cboxdoerfer/ddb_waveform_seekbar/releases/download/v0.4/ddb_waveform_seekbar_i686.tar.gz" | tar zx 
%endif

%files
%defattr(-,root,root)
%{_libdir}/deadbeef/

%clean
rm -rf %{buildroot}

%changelog
* Tue Jan 27 2015 daniel <meisssw01 at gmail.com> 6606477-1pclos2015
- initial package
